/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.object.action.executor;

import java.util.List;

import org.osgi.annotation.versioning.ProviderType;

/**
 * @author Marco Leo
 */
@ProviderType
public interface ObjectActionExecutorRegistry {

	public ObjectActionExecutor getObjectActionExecutor(
		String objectActionExecutorKey);

	public List<ObjectActionExecutor> getObjectActionExecutors();

	public boolean hasObjectActionExecutor(String objectActionExecutorKey);

}