/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.object.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Rodrigo Paulino
 */
@ExtendedObjectClassDefinition(
	category = "object", scope = ExtendedObjectClassDefinition.Scope.SYSTEM
)
@Meta.OCD(
	id = "com.liferay.object.configuration.ObjectConfiguration",
	localization = "content/Language", name = "object-configuration-name"
)
public interface ObjectConfiguration {

	@Meta.AD(
		deflt = "100",
		description = "maximum-number-of-guest-user-object-entries-per-object-definition-help",
		name = "maximum-number-of-guest-user-object-entries-per-object-definition",
		required = false
	)
	public int maximumNumberOfGuestUserObjectEntriesPerObjectDefinition();

	@Meta.AD(
		deflt = "25", description = "maximum-file-size-for-guest-users-help",
		name = "maximum-file-size-for-guest-users", required = false
	)
	public int maximumFileSizeForGuestUsers();

}