/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.object.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.kernel.model.BaseModel;
import com.liferay.portal.kernel.model.MVCCModel;
import com.liferay.portal.kernel.model.ShardedModel;
import com.liferay.portal.kernel.model.StagedAuditedModel;

import java.util.Date;

import org.osgi.annotation.versioning.ProviderType;

/**
 * The base model interface for the ObjectViewFilterColumn service. Represents a row in the &quot;ObjectViewFilterColumn&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation <code>com.liferay.object.model.impl.ObjectViewFilterColumnModelImpl</code> exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in <code>com.liferay.object.model.impl.ObjectViewFilterColumnImpl</code>.
 * </p>
 *
 * @author Marco Leo
 * @see ObjectViewFilterColumn
 * @generated
 */
@ProviderType
public interface ObjectViewFilterColumnModel
	extends BaseModel<ObjectViewFilterColumn>, MVCCModel, ShardedModel,
			StagedAuditedModel {

	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a object view filter column model instance should use the {@link ObjectViewFilterColumn} interface instead.
	 */

	/**
	 * Returns the primary key of this object view filter column.
	 *
	 * @return the primary key of this object view filter column
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this object view filter column.
	 *
	 * @param primaryKey the primary key of this object view filter column
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the mvcc version of this object view filter column.
	 *
	 * @return the mvcc version of this object view filter column
	 */
	@Override
	public long getMvccVersion();

	/**
	 * Sets the mvcc version of this object view filter column.
	 *
	 * @param mvccVersion the mvcc version of this object view filter column
	 */
	@Override
	public void setMvccVersion(long mvccVersion);

	/**
	 * Returns the uuid of this object view filter column.
	 *
	 * @return the uuid of this object view filter column
	 */
	@AutoEscape
	@Override
	public String getUuid();

	/**
	 * Sets the uuid of this object view filter column.
	 *
	 * @param uuid the uuid of this object view filter column
	 */
	@Override
	public void setUuid(String uuid);

	/**
	 * Returns the object view filter column ID of this object view filter column.
	 *
	 * @return the object view filter column ID of this object view filter column
	 */
	public long getObjectViewFilterColumnId();

	/**
	 * Sets the object view filter column ID of this object view filter column.
	 *
	 * @param objectViewFilterColumnId the object view filter column ID of this object view filter column
	 */
	public void setObjectViewFilterColumnId(long objectViewFilterColumnId);

	/**
	 * Returns the company ID of this object view filter column.
	 *
	 * @return the company ID of this object view filter column
	 */
	@Override
	public long getCompanyId();

	/**
	 * Sets the company ID of this object view filter column.
	 *
	 * @param companyId the company ID of this object view filter column
	 */
	@Override
	public void setCompanyId(long companyId);

	/**
	 * Returns the user ID of this object view filter column.
	 *
	 * @return the user ID of this object view filter column
	 */
	@Override
	public long getUserId();

	/**
	 * Sets the user ID of this object view filter column.
	 *
	 * @param userId the user ID of this object view filter column
	 */
	@Override
	public void setUserId(long userId);

	/**
	 * Returns the user uuid of this object view filter column.
	 *
	 * @return the user uuid of this object view filter column
	 */
	@Override
	public String getUserUuid();

	/**
	 * Sets the user uuid of this object view filter column.
	 *
	 * @param userUuid the user uuid of this object view filter column
	 */
	@Override
	public void setUserUuid(String userUuid);

	/**
	 * Returns the user name of this object view filter column.
	 *
	 * @return the user name of this object view filter column
	 */
	@AutoEscape
	@Override
	public String getUserName();

	/**
	 * Sets the user name of this object view filter column.
	 *
	 * @param userName the user name of this object view filter column
	 */
	@Override
	public void setUserName(String userName);

	/**
	 * Returns the create date of this object view filter column.
	 *
	 * @return the create date of this object view filter column
	 */
	@Override
	public Date getCreateDate();

	/**
	 * Sets the create date of this object view filter column.
	 *
	 * @param createDate the create date of this object view filter column
	 */
	@Override
	public void setCreateDate(Date createDate);

	/**
	 * Returns the modified date of this object view filter column.
	 *
	 * @return the modified date of this object view filter column
	 */
	@Override
	public Date getModifiedDate();

	/**
	 * Sets the modified date of this object view filter column.
	 *
	 * @param modifiedDate the modified date of this object view filter column
	 */
	@Override
	public void setModifiedDate(Date modifiedDate);

	/**
	 * Returns the object view ID of this object view filter column.
	 *
	 * @return the object view ID of this object view filter column
	 */
	public long getObjectViewId();

	/**
	 * Sets the object view ID of this object view filter column.
	 *
	 * @param objectViewId the object view ID of this object view filter column
	 */
	public void setObjectViewId(long objectViewId);

	/**
	 * Returns the filter type of this object view filter column.
	 *
	 * @return the filter type of this object view filter column
	 */
	@AutoEscape
	public String getFilterType();

	/**
	 * Sets the filter type of this object view filter column.
	 *
	 * @param filterType the filter type of this object view filter column
	 */
	public void setFilterType(String filterType);

	/**
	 * Returns the json of this object view filter column.
	 *
	 * @return the json of this object view filter column
	 */
	@AutoEscape
	public String getJson();

	/**
	 * Sets the json of this object view filter column.
	 *
	 * @param json the json of this object view filter column
	 */
	public void setJson(String json);

	/**
	 * Returns the object field name of this object view filter column.
	 *
	 * @return the object field name of this object view filter column
	 */
	@AutoEscape
	public String getObjectFieldName();

	/**
	 * Sets the object field name of this object view filter column.
	 *
	 * @param objectFieldName the object field name of this object view filter column
	 */
	public void setObjectFieldName(String objectFieldName);

	@Override
	public ObjectViewFilterColumn cloneWithOriginalValues();

}