/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.object.model;

import com.liferay.petra.sql.dsl.Column;
import com.liferay.petra.sql.dsl.base.BaseTable;

import java.sql.Types;

import java.util.Date;

/**
 * The table class for the &quot;ObjectViewFilterColumn&quot; database table.
 *
 * @author Marco Leo
 * @see ObjectViewFilterColumn
 * @generated
 */
public class ObjectViewFilterColumnTable
	extends BaseTable<ObjectViewFilterColumnTable> {

	public static final ObjectViewFilterColumnTable INSTANCE =
		new ObjectViewFilterColumnTable();

	public final Column<ObjectViewFilterColumnTable, Long> mvccVersion =
		createColumn(
			"mvccVersion", Long.class, Types.BIGINT, Column.FLAG_NULLITY);
	public final Column<ObjectViewFilterColumnTable, String> uuid =
		createColumn("uuid_", String.class, Types.VARCHAR, Column.FLAG_DEFAULT);
	public final Column<ObjectViewFilterColumnTable, Long>
		objectViewFilterColumnId = createColumn(
			"objectViewFilterColumnId", Long.class, Types.BIGINT,
			Column.FLAG_PRIMARY);
	public final Column<ObjectViewFilterColumnTable, Long> companyId =
		createColumn(
			"companyId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<ObjectViewFilterColumnTable, Long> userId =
		createColumn("userId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<ObjectViewFilterColumnTable, String> userName =
		createColumn(
			"userName", String.class, Types.VARCHAR, Column.FLAG_DEFAULT);
	public final Column<ObjectViewFilterColumnTable, Date> createDate =
		createColumn(
			"createDate", Date.class, Types.TIMESTAMP, Column.FLAG_DEFAULT);
	public final Column<ObjectViewFilterColumnTable, Date> modifiedDate =
		createColumn(
			"modifiedDate", Date.class, Types.TIMESTAMP, Column.FLAG_DEFAULT);
	public final Column<ObjectViewFilterColumnTable, Long> objectViewId =
		createColumn(
			"objectViewId", Long.class, Types.BIGINT, Column.FLAG_DEFAULT);
	public final Column<ObjectViewFilterColumnTable, String> filterType =
		createColumn(
			"filterType", String.class, Types.VARCHAR, Column.FLAG_DEFAULT);
	public final Column<ObjectViewFilterColumnTable, String> json =
		createColumn("json", String.class, Types.VARCHAR, Column.FLAG_DEFAULT);
	public final Column<ObjectViewFilterColumnTable, String> objectFieldName =
		createColumn(
			"objectFieldName", String.class, Types.VARCHAR,
			Column.FLAG_DEFAULT);

	private ObjectViewFilterColumnTable() {
		super("ObjectViewFilterColumn", ObjectViewFilterColumnTable::new);
	}

}